VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::DatastoreDefinitions Class Reference

Defines the type descriptors for the Datastore API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | filterSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | summary
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput

## Detailed Description

Defines the type descriptors for the Datastore API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::DatastoreDefinitions::filterSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("datastores", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("Datastore"))));
                    fields.Add("names", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.StringType())));
                    fields.Add("types", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.DatastoreTypes.Type)))));
                    fields.Add("folders", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("Folder"))));
                    fields.Add("datacenters", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("Datacenter"))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.datastore.filter_spec", fields, typeof(vmware.vcenter.DatastoreTypes.FilterSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::DatastoreDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("datastore", new vmware.vapi.bindings.type.IdType("Datastore"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::DatastoreDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.DatastoreDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::DatastoreDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.DatastoreTypes.Type)));
                    fields.Add("accessible", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("free_space", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("multiple_host_access", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("thin_provisioning_supported", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.datastore.info", fields, typeof(vmware.vcenter.DatastoreTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::DatastoreDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("filter", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.DatastoreDefinitions.filterSpec.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::DatastoreDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.DatastoreDefinitions.summary.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::DatastoreDefinitions::summary`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("datastore", new vmware.vapi.bindings.type.IdType("Datastore"));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.DatastoreTypes.Type)));
                    fields.Add("free_space", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("capacity", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.datastore.summary", fields, typeof(vmware.vcenter.DatastoreTypes.Summary), validators, false, null);
                })

The documentation for this class was generated from the following file:

- DatastoreDefinitions.cs